RIO_MAP_INB_REGION(9)

NAME
rio_map_inb_region - - Map inbound memory region.

SYNOPSIS

int rio_map_inb_region(struct rio_mport * mport, dma_addr_t local, u64 rbase, u32 size, u32 rflags);

ARGUMENTS

mport
    Master port.

local
    physical address of memory region to be mapped

rbase
    RIO base address assigned to this window

size
    Size of the memory region

rflags
    Flags for mapping.

RETURN

0 -- Success.

This function will create the mapping from RIO space to local memory.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT